<template>
	<div class="page">
		<el-form :inline="true"  v-if="searchVisible" class="query-form m-b-10" ref="searchForm" :model="searchForm" @keyup.enter.native="refreshList()" @submit.native.prevent>
			<!-- 搜索框-->
			<el-form-item label="借款编号" prop="no">
				<el-input v-model="searchForm.no" placeholder="请输入借款编号" clearable></el-input>
			</el-form-item>
			<el-form-item  label="借款人" prop="createById">
				<UserSelectSignatory style="width: 100%" ref="userSelect2" :limit="1"
									 :readonly="true" :modelValue="searchForm.createById"
									 @update:modelValue='(value) => {searchForm.createById = value}'></UserSelectSignatory>			</el-form-item>
			<el-form-item   prop="officeId" label="借款人部门">
				<SelectTree
					ref="officeTree"
					:props="{
                  value: 'id',             // ID字段名
                  label: 'name',         // 显示名称
                  children: 'children'    // 子级字段名
                }"

					:url="`/system-server/sys/office/treeData?type=2`"
					:value="searchForm.officeId"
					size="default"
					:accordion="true"
					@getValue="(value) => {searchForm.officeId=value}"/>
			</el-form-item>
			<el-form-item v-if="showHideItem" label="借款金额" prop="borrowAmounts">
				<InputNumber :disabled="false" :precision="num"
							 :value="searchForm.borrowAmounts"
							 @changefrom="(val) => {searchForm.borrowAmounts[0] = val}"
							 @changeto="(val) => {searchForm.borrowAmounts[1] = val}"
				>
				</InputNumber>
			</el-form-item>
			<el-form-item v-if="showHideItem" label="借款时间" prop="createDates">
				<el-date-picker
					placement="bottom-start"
					v-model="searchForm.createDates"
					type="datetimerange"
					format="YYYY-MM-DD HH:mm:ss"
					value-format="YYYY-MM-DD HH:mm:ss"
					range-separator="至"
					start-placeholder="开始日期"
					end-placeholder="结束日期">
				</el-date-picker>
			</el-form-item>
			<el-form-item v-if="showHideItem" label="借款原因" prop="reason">
				<el-input v-model="searchForm.reason" placeholder="请输入借款原因" clearable></el-input>
			</el-form-item>




			<el-form-item>
				<el-button type="default" @click="showHide" :icon="showHideIcon">{{showHideName}}</el-button>
				<el-button type="primary" @click="refreshList()" icon="el-icon-search">查询</el-button>
				<el-button @click="resetSearch()" icon="el-icon-refresh-right">重置</el-button>
			</el-form-item>
		</el-form>
		<div class="jp-table top" style="">
			<vxe-toolbar ref="toolbarRef" :refresh="{query: refreshList}" export custom>
				<template #buttons>
					<el-button v-if="hasPermission('borrow:add')" :disabled="isAdmin" type="primary" icon="el-icon-plus" @click="add()">新建</el-button>
				</template>
				<template #tools>
					<vxe-button
						text
						type="primary"
						:title="searchVisible ? '收起检索' : '展开检索'"
						icon="vxe-icon-search"
						class="tool-btn"
						@click="searchVisible = !searchVisible"
					></vxe-button>
				</template>
			</vxe-toolbar>
			<div style="height: calc(100% - 90px)">
				<vxe-table
					border="inner"
					auto-resize
					resizable
					height="auto"
					:loading="loading"
					ref="borrowTable"
					show-header-overflow
					show-overflow
					highlight-hover-row
					:menu-config="{}"
					:export-config="{
									remote: true,
									filename: `嘉溢借款申请数据${moment(new Date()).format('YYYY-MM-DD')}`,
									sheetName: `嘉溢借款申请数据${moment(new Date()).format('YYYY-MM-DD')}`,
									exportMethod: exportMethod,
									types: ['xls'],
									modes: ['current', 'selected', 'all']
								  }"
					@sort-change="sortChangeHandle"
					:sort-config="{remote:true}"
					:data="dataList"
					:checkbox-config="{}">
					<vxe-column type="seq" width="60" title="序号"></vxe-column>
					<vxe-column min-width="160" align="center" title="借款编号" field="no">
						<template  #default="scope">
							<el-link  type="primary" :underline="false"  @click="view(scope.row)">{{scope.row.no}}</el-link>
						</template>
					</vxe-column>
					<vxe-column min-width="160" align="center" title="借款金额" field="moneyLower"></vxe-column>
					<vxe-column min-width="160" align="center" title="对冲金额" field="refundLower"></vxe-column>
					<vxe-column min-width="160" align="center" title="剩余借款金额" field="finalMoney"></vxe-column>
					<vxe-column min-width="160" align="center" title="借款人" field="createName"></vxe-column>
					<vxe-column min-width="160" align="center" title="借款人部门" field="officeName"></vxe-column>
					<vxe-column min-width="160" align="center" title="借款用途" field="reason"></vxe-column>
					<vxe-column min-width="160" align="center" title="借款时间" field="createTime"></vxe-column>
					<vxe-column  min-width="150px" align="center" title="借款状态" field="status" fixed="right">
						<template #default="scope">
							<el-button @click="detail(scope.row)" :type="$dictUtils.getDictLabel('program_project_list_info_status_info', scope.row.status, '')" effect="dark" >{{$dictUtils.getDictLabel("program_project_list_info_status", scope.row.status, '未登记')}} </el-button>
						</template>
					</vxe-column>
					<vxe-column  min-width="150px" align="center" title="还款状态" field="refundStatus" fixed="right">
						<template #default="scope">
							<el-button @click="detailAccount(scope.row)" :type="$dictUtils.getDictLabel('program_project_list_info_status_info', scope.row.refundStatus, '')" effect="dark" >{{$dictUtils.getDictLabel("program_project_list_info_status", scope.row.refundStatus, '未登记')}} </el-button>
						</template>
					</vxe-column>
					<vxe-column title="操作" width="150px" fixed="right" align="center">
						<template  #default="scope">
							<div v-if="isJyAdmin">
								<el-button  size="small" text type="primary" v-if="hasPermission('admin:edit') && isJyAdmin "  @click="adminEdit(scope.row)">修改</el-button>
								<el-button text type="primary" size="small" v-if="hasPermission('admin:del') && isJyAdmin" @click="del(scope.row.id)">删除</el-button>
							</div>
							<div v-else>
								<el-button v-if="hasPermission('borrow:edit')&&(scope.row.status === '0'||scope.row.status === '1'|| scope.row.status === '3')" size="small" text type="primary"  @click="edit(scope.row)">修改</el-button>
								<el-button text type="primary" size="small" v-if="hasPermission('borrow:edit')&&(scope.row.status==='0' || scope.row.status==='1'|| scope.row.status==='3')" @click="del(scope.row.id)">删除</el-button>
								<!--              当前申请人撤回-->
								<el-button v-if="hasPermission('borrow:edit')&&scope.row.createById === $store.state.user.id && scope.row.status==='2'" text type="primary" size="small" @click="reback(scope.row)">撤回</el-button>

								<el-button v-if="hasPermission('borrow:edit')&&scope.row.status==='2' && checkIsAudit(scope.row)" text type="primary" size="small" @click="examine(scope.row)">审核</el-button>
								<el-button v-if="hasPermission('borrow:edit')&&scope.row.status === '4'&&scope.row.createById === $store.state.user.id" text type="primary" size="small" @click="adjust(scope.row)">驳回调整</el-button>
								<el-button v-if="hasPermission('borrow:edit')&&scope.row.status === '5'&&scope.row.createById === $store.state.user.id &&(commonJS.isEmpty(scope.row.refundStatus) ||scope.row.refundStatus === '0' || scope.row.refundStatus === '1' || scope.row.refundStatus === '5' || scope.row.refundStatus=== '3')" text type="primary" size="small" @click="addRefund(scope.row)">还款申请</el-button>
								<el-button v-if="hasPermission('borrow:edit')&&scope.row.createById === $store.state.user.id && scope.row.refundStatus==='2'" text type="primary" size="small" @click="rebackAccount(scope.row)">还款撤回</el-button>
								<el-button v-if="scope.row.createById === $store.state.user.id && scope.row.refundStatus==='3'" text type="primary" size="small" @click="rebackRequest(scope.row)">取消还款</el-button>

								<el-button v-if="hasPermission('borrow:edit')&&scope.row.refundStatus==='2' && checkIsAudit(scope.row)" text type="primary" size="small" @click="examineAccount(scope.row)">还款审核</el-button>
								<el-button v-if="hasPermission('borrow:edit')&&scope.row.refundStatus === '4'&&scope.row.createById === $store.state.user.id" text type="primary" size="small" @click="adjustAccount(scope.row)">还款驳回调整</el-button>
							</div>
						</template>
					</vxe-column>
				</vxe-table>
				<vxe-pager
					background
					:current-page="tablePage.currentPage"
					:page-size="tablePage.pageSize"
					:total="tablePage.total"
					:page-sizes="[10, 20, 100, 1000, {label: '全量数据', value: 1000000}]"
					:layouts="['PrevPage', 'JumpNumber', 'NextPage', 'FullJump', 'Sizes', 'Total']"
					@page-change="currentChangeHandle">
				</vxe-pager>

			</div>
		</div>

	<BorrowDia ref="borrowDia" @refreshList="refreshList"></BorrowDia>
	</div>

</template>

<script>
	import InputNumber from './InputNumber.vue'
	import UserSelect from '@/components/userSelect'
	import SelectTree from '@/components/treeSelect/treeSelect.vue'
	import BorrowService from '@/api/jy/BorrowService'
	import taskService from '@/api/flowable/taskService'
	import processService from '@/api/flowable/processService'
	import userService from '@/api/sys/userService'
	import pick from 'lodash.pick'
	import SupplierChooseForm from '@/views/materialManagement/supplier/SupplierChooseForm'
	import UserSelectSignatory from '../workClientInfo/clientUserSelect'
	import BorrowDia from './BorrowDia'
	export default {
		data () {
			return {
				dialogTableVisible:false,
				searchVisible: true,
				showHideItem: false,
				showHideIcon: 'el-icon-arrow-down',
				showHideName: '展示',
				num: 0,
				searchForm: {
					no: '',
					reason: '',
					officeId: '',
					createById: '',
					borrowAmounts:[],
					createDates:[]
				},
				dataList: [],
				tablePage: {
					total: 0,
					currentPage: 1,
					pageSize: 10,
					orders: []
				},
				tableKey: '',
				loading: false,
				processDefinitionId: '',
				processDefinitionIdAccount:'',
				procDefKey: '',
				procDefKeyAccount: '',
				isAdmin: false,
				create: '',
				gridData:[],
				typeData:[],
				isJyAdmin:false
			}
		},
		BorrowService:null,
		created () {
			this.borrowService=new BorrowService()
		},
		components: {
			SelectTree,
			UserSelect,
			SupplierChooseForm,
			UserSelectSignatory,
			InputNumber,
			BorrowDia
		},
		computed: {
			userName () {
				return this.$store.state.user.name
			},
			user () {
				this.createName = this.$store.state.user.name
				return this.$store.state.user
			}
		},
		mounted () {
			this.$nextTick(() => {
				// 将表格和工具栏进行关联
				const $table = this.$refs.borrowTable;
				const $toolbar = this.$refs.toolbarRef;
				$table.connect($toolbar);
			});
			this.refreshList()
		},
		activated () {
			this.refreshList()
		},
		methods: {
			showHide () {
				if (this.showHideItem === false) {
					this.showHideItem = true
					this.showHideIcon = 'el-icon-arrow-up'
					this.showHideName = '隐藏'
				} else {
					this.showHideItem = false
					this.showHideIcon = 'el-icon-arrow-down'
					this.showHideName = '展示'
				}
			},
			// 新增
			add () {
				// 读取流程表单
				let tabTitle = `发起流程【嘉溢-借款管理】`
				let processTitle = `${this.userName} 在 ${this.moment(new Date()).format('YYYY-MM-DD HH:mm')} 发起了 [嘉溢-借款管理]`
				taskService.getTaskDef({ procDefId: this.processDefinitionId,
					status: 'startAndHold'}).then((data) => {
					this.$router.push({
						path: '/flowable/task/TaskForm',
						query: {
							...pick(data, 'formType', 'formUrl', 'procDefKey', 'taskDefKey', 'procInsId', 'procDefId', 'taskId', 'status', 'title'),
							procDefId: this.processDefinitionId,
							procDefKey: this.procDefKey,
							status: 'startAndHold',
							title: tabTitle,
							formType: data.formType,
							formUrl: data.formUrl,
							formTitle: processTitle,
							businessId: 'false',
							isShow: false,
							routePath: '/jy/borrowMoney/BorrowMoneyList'
						}
					})
				})
			},
			// 修改
			edit (row) {
				let tabTitle = `发起流程【嘉溢-借款管理】`
				let processTitle = `${this.userName} 在 ${this.moment(new Date()).format('YYYY-MM-DD HH:mm')} 发起了 [嘉溢-借款管理]`
				taskService.getTaskDef({ procDefId: this.processDefinitionId,
					businessId: row.id,
					businessTable: 'jy_borrow_money',
					status: 'startAndHold'}).then((data) => {
					this.$router.push({
						path: '/flowable/task/TaskForm',
						query: {
							...pick(data, 'formType', 'formUrl', 'procDefKey', 'taskDefKey', 'procInsId', 'procDefId', 'taskId', 'status', 'title'),
							procDefId: this.processDefinitionId,
							procDefKey: this.procDefKey,
							status: 'startAndHold',
							title: tabTitle,
							formType: data.formType,
							formUrl: data.formUrl,
							formTitle: processTitle,
							businessId: row.id,
							businessTable: 'jy_borrow_money',
							isShow: false,
							routePath: '/jy/borrowMoney/BorrowMoneyList'
						}
					})
				})
			},
			// 查看
			view (row) {
				this.$refs.borrowDia.init('view',row.id);

			},
			// 查询当前用户是否是管理员用户
			checkIsAdmin () {
				userService.is().then((data) => {
					this.isAdmin = data
				})
			},
			// 获取数据列表
			refreshList () {
				this.loading = true
				this.borrowService.list({
					'current': this.tablePage.currentPage,
					'size': this.tablePage.pageSize,
					'orders': this.tablePage.orders,
					...this.searchForm
				}).then((data) => {
					console.log('x',data.records)
					this.dataList = data.records
					this.tablePage.total = data.total
					this.tableKey = Math.random()
					this.loading = false
				})
				this.checkIsAdmin()
				this.checkIsJyAdmin()
				processService.getByName('嘉溢-借款管理').then((data) => {
					if (!this.commonJS.isEmpty(data.id)) {
						this.processDefinitionId = data.id
						this.procDefKey = data.key
					}
				})
				processService.getByName('嘉溢-借款归还').then((data) => {
					if (!this.commonJS.isEmpty(data.id)) {
						this.processDefinitionIdAccount = data.id
						this.procDefKeyAccount = data.key
					}
				})
			},
			//判断当前登陆人是否是admin
			checkIsJyAdmin(){
				userService.checkIsJyAdmin().then((data)=>{
					this.isJyAdmin = data
				})
			},
			// 当前页
			currentChangeHandle ({ currentPage, pageSize }) {
				this.tablePage.currentPage = currentPage
				this.tablePage.pageSize = pageSize
				this.refreshList()
			},
			// 排序
			sortChangeHandle (column) {
				this.tablePage.orders = []
				if (column.order != null) {
					this.tablePage.orders.push({column: this.$utils.toLine(column.property), asc: column.order === 'asc'})
				}
				this.refreshList()
			},
			// 删除
			del (id) {
				let ids = id || this.$refs.clientTable.getCheckboxRecords().map(item => {
					return item.id
				}).join(',')
				this.$confirm(`确定删除所选项吗?`, '提示', {
					confirmButtonText: '确定',
					cancelButtonText: '取消',
					type: 'warning'
				}).then(() => {
					this.loading = true
					this.borrowService.delete(ids).then((data) => {
						this.$message.success(data)
						this.refreshList()
						this.loading = false
					})
				})
			},
			resetSearch () {
				this.$refs.searchForm.resetFields()
				this.searchForm.projectId = '' // 重置时清空项目id
				this.refreshList()
			},

			// 查看修改流程结果
			detail (row) {
				if (row.status !== '0' && row.status !== '1') {
					this.borrowService.queryById(row.id).then((da)=>{
						// eslint-disable-next-line eqeqeq
						taskService.getTaskDef({
							procInsId: row.procInsId,
							procDefId: this.processDefinitionId
						}).then((data) => {
							this.$router.push({
								path: '/flowable/task/TaskFormDetail',
								query: {
									...pick(data, 'formType', 'formUrl', 'procDefKey', 'taskDefKey', 'procInsId', 'procDefId', 'taskId', 'status', 'title'),
									isShow: 'false',
									readOnly: true,
									title: '借款申请' + '流程详情',
									formTitle: '借款申请' + '流程详情',
									businessId: row.id,
									status: 'reback',
									method: 'view'
								}
							})
						})
					})
				}
			},
			// 撤回入库修改
			reback (row) {
				this.$confirm(`确定要撤回该申请吗?`, '提示', {
					confirmButtonText: '确定',
					cancelButtonText: '取消',
					type: 'warning'
				}).then(() => {
					this.borrowService.queryById(row.id).then((data) => {
						if (data.status !== '2') { // status的值不等于“审核中”，就弹出提示
							this.$message.error('数据已发生改变或不存在，请刷新数据')
							this.refreshList()
						} else {
							processService.revokeProcIns(row.procInsId).then((data) => {
								let form = {status: '3', id: row.id}
								this.borrowService.updateStatusById(form)
								this.$message.success(data)
								this.refreshList()
							})
						}
					})
				})
			},
			// 驳回后调整
			adjust (row) {
				this.borrowService.queryById(row.id).then((data) => {
					if (data.status !== '4') { // status的值不等于“驳回”，就弹出提示
						this.$message.error('数据已发生改变或不存在，请刷新数据')
						this.refreshList()
					} else {
						this.todo(row)
					}
				})
			},
			// 审核
			examine (row) {
				this.borrowService.queryById(row.id).then((data) => {
					if (data.status !== '2') { // status的值不等于“审核中”，就弹出提示
						this.$message.error('数据已发生改变或不存在，请刷新数据')
						this.refreshList()
					} else {
						this.todo(row)
					}
				})
			},
			// 审核或重新调整跳转
			todo (row) {
				let cUser = false
				taskService.getTaskDefInfo({
					taskId: row.taskId
				}).then((data) => {
					this.$router.push({
						path: '/flowable/task/TaskForm',
						query: {
							...pick(data, 'formType', 'formUrl', 'procDefKey', 'taskDefKey', 'procInsId', 'procDefId', 'taskId', 'status', 'title', 'businessId'),
							isShow: false,
							formReadOnly: true,
							formTitle: `${data.taskName}`,
							cUser: cUser,
							title: `审批【${data.taskName || ''}】`,
							routePath: '/jy/borrowMoney/BorrowMoneyList',   // 数据处理后需要跳转的页面路径
						}
					})
				})
			},
			// 查询当前登录人是否是数据的审核人
			checkIsAudit (row) {
				let loginUserId = this.$store.state.user.id  // 获取当前登录用户id
				if (this.commonJS.isNotEmpty(row.auditUserIds)) {
					for (const userId of row.auditUserIds) {
						if (userId === loginUserId) {  // 当数据的审核人中包含当前登录人id时，返回true
							return true
						}
					}
				}
				return false
			},

			async addRefund(row){
				if (this.commonJS.isEmpty(row.refundId)){
					this.loading = true
					let resp = await this.borrowService.createRefundData({id:row.id})
					if (resp) {
						this.loading = false
						row.refundId = resp.refundId
						this.account(row)
					} else {
						this.loading = false
						this.$message.error('无法还款，联系管理员解决')
					}
				}else {
					this.account (row)
				}
			},

			//发起借款归还
			account (row) {
				let tabTitle = `发起流程【嘉溢-借款归还】`
				let processTitle = `${this.userName} 在 ${this.moment(new Date()).format('YYYY-MM-DD HH:mm')} 发起了 [嘉溢-借款归还]`
				let status = 'startAndHold'
				if (row.accountStatus === '3') {
					status = 'startAndClose'
				} else if (row.accountStatus === '4') {
					status = 'reapplyFlag'
				}
				taskService.getTaskDef({ procDefId: this.processDefinitionIdAccount,
					businessId: row.refundId,
					businessTable: 'jy_refund'}).then((data) => {
					this.$router.push({
						path: '/flowable/task/TaskForm',
						query: {
							...pick(data, 'formType', 'formUrl', 'procDefKey', 'taskDefKey', 'procInsId', 'procDefId', 'taskId', 'status', 'title'),
							procDefId: this.processDefinitionIdAccount,
							procDefKey: this.procDefKeyAccount,
							status: 'startAndHold',
							title: tabTitle,
							formType: data.formType,
							formUrl: data.formUrl,
							formTitle: processTitle,
							businessId: row.refundId,
							businessTable: 'jy_refund',
							isShow: false,
							status: status,
							refundId:row.refundId,
							routePath: '/jy/borrowMoney/BorrowMoneyList'
						}
					})
				})
			},
			// 查看修改流程结果
			detailAccount (row) {
				if (row.refundStatus !== '0' && row.refundStatus !== '1') {
					this.borrowService.findByRefundId(row.refundId).then((da)=>{
						// eslint-disable-next-line eqeqeq
						taskService.getTaskDef({
							procInsId: row.procInsIdRefund,
							procDefId: this.processDefinitionIdAccount
						}).then((data) => {
							this.$router.push({
								path: '/flowable/task/TaskFormDetail',
								query: {
									...pick(data, 'formType', 'formUrl', 'procDefKey', 'taskDefKey', 'procInsId', 'procDefId', 'taskId', 'status', 'title'),
									isShow: 'false',
									readOnly: true,
									title: '借款归还' + '流程详情',
									formTitle: '借款归还' + '流程详情',
									businessId: row.refundId,
									status: 'reback',
									method: 'view',
									refundId:row.refundId
								}
							})
						})
					})
				}
			},
			// 还款撤回
			rebackAccount (row) {
				this.$confirm(`确定要撤回该申请吗?`, '提示', {
					confirmButtonText: '确定',
					cancelButtonText: '取消',
					type: 'warning'
				}).then(() => {
					this.borrowService.queryById(row.id).then((data) => {
						if (data.refundStatus !== '2') { // status的值不等于“审核中”，就弹出提示
							this.$message.error('数据已发生改变或不存在，请刷新数据')
							this.refreshList()
						} else {
							processService.revokeProcIns(row.procInsIdRefund).then((data) => {
								let form = {status: '3', id: row.refundId}
								this.borrowService.updateRefundById(form)
								this.$message.success(data)
								this.refreshList()
							})
						}
					})
				})
			},
			// 驳回后调整
			adjustAccount (row) {
				this.borrowService.queryById(row.id).then((data) => {
					if (data.refundStatus !== '4') { // status的值不等于“驳回”，就弹出提示
						this.$message.error('数据已发生改变或不存在，请刷新数据')
						this.refreshList()
					} else {
						this.todoAccount(row)
					}
				})
			},
			// 审核
			examineAccount (row) {
				this.borrowService.queryById(row.id).then((data) => {
					if (data.refundStatus !== '2') { // status的值不等于“审核中”，就弹出提示
						this.$message.error('数据已发生改变或不存在，请刷新数据')
						this.refreshList()
					} else {
						this.todoAccount(row)
					}
				})
			},
			// 审核或重新调整跳转
			todoAccount (row) {
				let cUser = false
				taskService.getTaskDefInfo({
					taskId: row.taskIdRefund
				}).then((data) => {
					this.$router.push({
						path: '/flowable/task/TaskForm',
						query: {
							...pick(data, 'formType', 'formUrl', 'procDefKey', 'taskDefKey', 'procInsId', 'procDefId', 'taskId', 'status', 'title', 'businessId'),
							isShow: false,
							formReadOnly: true,
							formTitle: `${data.taskName}`,
							cUser: cUser,
							title: `审批【${data.taskName || ''}】`,
							routePath: '/jy/borrowMoney/BorrowMoneyList',   // 数据处理后需要跳转的页面路径
						}
					})
				})
			},
			adminEdit(row){
				this.$refs.borrowDia.init('edit',row.refundId);
			},

			// 自定义服务端导出
			exportMethod ({ options }) {
				// 传给服务端的参数
				const params = {
					'current': this.tablePage.currentPage,
					'size': this.tablePage.pageSize,
					'orders': this.tablePage.orders,
					...this.searchForm,
					filename: options.filename,
					sheetName: options.sheetName,
					isHeader: options.isHeader,
					original: options.original,
					mode: options.mode,
					selectIds: options.mode === 'selected' ? options.map(item => item.id) : [],
					exportFields: options.columns.map(column => column.property)
				}
				return this.borrowService.exportFile(params).then((res) => {
					// 将二进制流文件写入excel表，以下为重要步骤
					this.$utils.downloadExcel(res, options.filename+ ".xls")
				}).catch(function (err) {
					if (err.response) {
						console.log(err.response)
					}
				})
			},
			//取消还款
			rebackRequest (row) {
				this.borrowService.queryById(row.refundId).then((data) => {
					if (data.refundStatus !== '3') { // status的值不等于“撤回”，就弹出提示
						this.$message.error('数据已发生改变或不存在，请刷新数据')
						this.refreshList()
					} else {
						this.$confirm(`确定要取消修改申请吗?`, '提示', {
							confirmButtonText: '确定',
							cancelButtonText: '取消',
							type: 'warning'
						}).then(() => {
							this.borrowService.backSourceData(row.refundId).then((data) => {
								if (data.result === 'success') {
									this.$message.success('取消修改申请成功')
								} else {
									this.$message.error('取消修改申请失败')
								}
								this.refreshList()
							}).catch(() => {
								this.refreshList()
							})
						})
					}
				})
			},





		}
	}
</script>
